from .contrib import *  # noqa, register contrib modules
from .models import *  # noqa
from .utils import *  # noqa
from .checkpoint import load_ckpt, save_ckpt, clean_ckpt
from .cmd_args import parse_args
from .config import cfg, set_cfg, load_cfg, dump_cfg, set_run_dir, set_agg_dir
from .init import init_weights
from .loader import create_loader
from .logger import set_printing, create_logger
from .loss import compute_loss
from .model_builder import create_model
from .optimizer import create_optimizer, create_scheduler
from .register import (register, register_act, register_node_encoder,  # noqa
                       register_edge_encoder, register_stage, register_head,
                       register_layer, register_pooling, register_network,
                       register_config, register_loader, register_optimizer,
                       register_scheduler, register_loss, register_train)
from .train import train

__all__ = [
    'load_ckpt',
    'save_ckpt',
    'clean_ckpt',
    'parse_args',
    'cfg',
    'set_cfg',
    'load_cfg',
    'dump_cfg',
    'set_run_dir',
    'set_agg_dir',
    'init_weights',
    'create_loader',
    'set_printing',
    'create_logger',
    'compute_loss',
    'create_model',
    'create_optimizer',
    'create_scheduler',
    'train',
]

classes = __all__

classes_reg = [
    'register',
    'register_act',
    'register_node_encoder',
    'register_edge_encoder',
    'register_stage',
    'register_head',
    'register_layer',
    'register_pooling',
    'register_network',
    'register_config',
    'register_loader',
    'register_optimizer',
    'register_scheduler',
    'register_loss',
    'register_train',
]
